## rsvgdec rsvgdec |

## Types and Values

struct | GstRsvgDec

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstVideoDecoder
                        ╰── GstRsvgDec

## Description

This elements renders SVG graphics.

#### Example launch lines

    1
    gst-launch-1.0 filesrc location=image.svg ! rsvgdec ! imagefreeze ! videoconvert ! autovideosink

render and show a svg image.

## Synopsis

### Element Information

plugin | rsvg
author | Sebastian Dröge <sebastian.droege@collabora.co.uk>
class | Codec/Decoder/Image

### Element Pads

name | sink
direction | sink
presence | always
details | image/svg+xml
| image/svg

name | src
direction | source
presence | always
details | video/x-raw, format=(string)BGRA, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Functions

## Types and Values

### struct GstRsvgDec

    struct GstRsvgDec;